---
title: 409 Conflict
slug: Web/HTTP/Status/409
tags:
  - Client error
  - HTTP
  - HTTP Status Code
  - Reference
---
<div>{{HTTPSidebar}}</div>

<p>The HTTP <code><strong>409 Conflict</strong></code> response status code indicates a request conflict with current state of the target resource.</p>

<p>Conflicts are most likely to occur in response to a {{HTTPMethod("PUT")}} request. For example, you may get a 409 response when uploading a file which is older than the one already on the server resulting in a version control conflict.</p>

<h2 id="Status">Status</h2>

<pre class="syntaxbox notranslate">409 Conflict</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Title</th>
  </tr>
  <tr>
   <td>{{RFC("7231", "409 Conflict" , "6.5.8")}}</td>
   <td>Hypertext Transfer Protocol (HTTP/1.1): Semantics and Content</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("http.status.409")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTTPMethod("PUT")}}</li>
</ul>
